# $Revision: 1.52 $, $Date: 2007/11/04 23:22:29 $
Summary:	The GNOME2 virtual file-system libraries
Summary(pl.UTF-8):	Biblioteki wirtualnego systemu plików dla GNOME2
Summary(pt_BR.UTF-8):	Arquivos de dados tipo MIME para o desktop GNOME
Name:		gnome-mime-data
Version:	2.18.0
Release:	2
License:	LGPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-mime-data/2.18/%{name}-%{version}.tar.bz2
# Source0-md5:	541858188f80090d12a33b5a7c34d42c
URL:		http://www.gnome.org/
Patch0:		%{name}-duplicate-keys.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 2.2.3
BuildRequires:	intltool
BuildRequires:	libtool
Provides:	gnome-vfs-data = %{version}
Obsoletes:	gnome-vfs-data
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _pkgconfigdir   %{_datadir}/pkgconfig

%description
This module contains the base MIME and Application database for GNOME.
It is meant to be accessed through the MIME functions in GnomeVFS.

%description -l pl.UTF-8
Ten moduł zawiera bazowe MIME oraz bazę Aplikacji dla GNOME.
Przeznaczony jest do udostępniania przez funkcje MIME w GnomeVFS.

%description -l pt_BR.UTF-8
O GNOME MIME contém arquivos de identificação e tipos MIME para o
sistema GNOME.

%package devel
Summary:	Development files for gnome-mime-data
Summary(pl.UTF-8):	Pliki potrzebne przy tworzeniu programów używajacych gnome-mime-data
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Developmet files for gnome-mime-data.

%description devel -l pl.UTF-8
Pliki potrzebne przy tworzeniu programów używajacych gnome-mime-data.

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man5

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install man/gnome-vfs-mime.5 $RPM_BUILD_ROOT%{_mandir}/man5/gnome-vfs-mime.5

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%{_sysconfdir}/gnome-vfs-mime-magic
%{_datadir}/application-registry
%{_datadir}/mime-info
%{_mandir}/man5/*

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-mime-data.spec,v $
Revision 1.52  2007/11/04 23:22:29  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.51  2007/08/31 23:32:42  aflinta
- up to 2.18.0

Revision 1.50  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.49  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.48  2006/11/29 20:21:05  megabajt
- up to 2.4.3

Revision 1.47  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.46  2005/06/18 15:27:10  zbyniu
- BR: gettext-devel, intltool

Revision 1.45  2004/10/27 14:09:07  aflinta
- up to version 2.4.2

Revision 1.44  2004/08/08 00:33:07  ankry
- it is not noarch because of %%{_pkgconfigdir} usage, rel. 4

Revision 1.43  2004/07/22 10:01:20  qboosh
- added locale-names patch, strict dep, release 2

Revision 1.42  2004/04/18 11:57:31  krzak
- duplicate-keys.patch (gimp alread register mime.keys by himself)
- rel 2

Revision 1.41  2004/02/25 00:26:38  freetz
- killed dependency loop (R gnome-vfs2)

Revision 1.40  2003/12/23 06:18:03  krzak
- up to 2.4.1
- removed outdated x-gzip-compressed.patch

Revision 1.39  2003/09/22 20:06:54  krzak
- x-gzip-compressed.patch (http://bugzilla.gnome.org/show_bug.cgi?id=122947)
- rel. 2

Revision 1.38  2003/09/10 13:24:28  grzegol
- updated to 2.4.0

Revision 1.37  2003/08/31 10:03:37  grzegol
- updated to 2.3.2

Revision 1.36  2003/08/18 08:08:08  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.35  2003/08/07 18:31:39  aflinta
- version 2.3.1

Revision 1.34  2003/08/07 18:30:29  aflinta
- version 2.3.1

Revision 1.33  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.32  2003/05/25 05:48:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/03/30 18:09:23  grzegol
- updated to 2.3.0
- updated %%files

Revision 1.30  2003/02/18 09:06:09  aflinta
- updated to version 2.2.0

Revision 1.29  2002/12/13 22:50:30  wrobell
- fixed file list
- rel. 5

Revision 1.28  2002/12/04 16:19:33  aflinta
- moved from /usr/X11R6 to /usr, release 4

Revision 1.27  2002/12/01 22:07:52  grzegol
- back to /usr/X11R6 prefix
- rel. 3.1

Revision 1.26  2002/12/01 15:52:16  grzegol
- changed prefix to /usr (it must be the same prefix as in gnome-vfs2)
- rel. 3

Revision 1.25  2002/10/24 07:46:52  malekith
- release 2

Revision 1.24  2002/10/21 09:57:03  trojan
- fixed source URL

Revision 1.23  2002/10/09 13:14:26  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.22  2002/08/29 11:13:33  aflinta
- updated to version 2.0.1

Revision 1.21  2002/06/23 20:32:26  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.20  2002/06/23 02:12:49  kloczek
- use new %doc.

Revision 1.19  2002/06/12 08:10:37  wiget
updated to 2.0.0

Revision 1.18  2002/05/21 23:13:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/05/09 05:49:04  kloczek
- updated to 1.0.8,
- merge translations from Conectiva.

Revision 1.16  2002/04/25 16:26:41  arturs
fixed a small typo

Revision 1.15  2002/04/24 20:19:06  kloczek
- updated to 1.0.7,
- regenerate ac/am/lt files is back.

Revision 1.14  2002/04/13 11:24:10  michuz
- updated to 1.0.6

Revision 1.13  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/12 00:53:58  kloczek
- updated to 1.0.3 (more mime types).

Revision 1.11  2002/02/09 11:59:01  kloczek
- release 2: added gnome-vfs-data to Obsoletes.

Revision 1.10  2002/02/05 16:45:57  wrobell
- typo :-)

Revision 1.9  2002/02/05 16:39:22  kloczek
- typo.

Revision 1.8  2002/02/05 16:38:25  kloczek
- added devel subpackage.

Revision 1.7  2002/02/05 16:15:01  kloczek
- adapterized.

Revision 1.6  2002/02/05 16:13:41  kloczek
- updated %files and added using %%find_lang macro.

Revision 1.5  2002/02/05 16:07:35  kloczek
- updated to 1.0.2 (bugfix release).

Revision 1.4  2002/01/18 02:13:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2002/01/18 00:05:23  misiek
- fix Requires/Provides

Revision 1.2  2002/01/17 11:48:33  qboosh
- removed ru,uk Groups inconsistent with the rest

Revision 1.1  2002/01/17 07:25:34  misiek
- initial pld release
